
/*
 * main.cc
 * Copyright (C) 1999 by John Heidemann
 * $Id: main.cc,v 1.12 1999/08/20 17:40:50 johnh Exp $
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 *
 */


#include <unistd.h>
#include <stdlib.h>
#include <iostream.h>

#include "main.hh"

#ifdef USE_TCL_BLOB
#include "tcl_blob.hh"
#endif /* USE_TCL_BLOB */

#ifdef USE_TEXT_BLOB
#include "text_blob.hh"
#endif /* USE_TEXT_BLOB */


int filter_by_uids = 1,
	filter_good_uid = 0;
change_tracking<vm_style_enum> report_vm(ERROR_MEM);  // resources set it

void
usage()
{
	cout << "usage: xxx\n";
	exit(1);
}

void
die(char *s)
{
	cerr << s;
	exit(1);
}

int
lava_random(int limit)
{
	static int inited = 0;
	if (!inited) {
		inited = 1;
		srandom(1); // time();
	};
	if (limit == 0)
		return 0;
	else return random() % limit;
}

void
parse_args(int argc, char **argv)
{
	int c;

        while ((c = getopt(argc, argv, "?")) != EOF)
                switch (c) {
		default:
			usage();
			break;
                };
}

int
main(int argc, char **argv)
{
	parse_args(argc, argv);

	filter_good_uid = getuid();
#ifdef USE_TCL_BLOB
	tcl_blob::init();
	tcl_blob::mainloop();
#endif /* USE_TCL_BLOB */
#ifdef USE_TEXT_BLOB
	text_blob::mainloop();
#endif /* USE_TEXT_BLOB */
}
